Cancel a pending retry
POST /v1/messages/{id}/cancel
Cancel a message that is waiting for a scheduled retry. The message will be
marked as failed_permanent and moved to the DLQ. Only works for messages
in pending_retry status.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Unique message identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “ Responses ”Retry cancelled successfully
object
object
object
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "message_id": "01935abc-def0-7123-4567-890abcdef012", "status": "failed_permanent" }, "meta": { "request_id": "req_xyz123" }}Message is not in pending_retry status
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "INVALID_STATUS", "message": "Message is not in pending_retry status (current: succeeded)" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.